stages: [ build ]

job_build:
  stage: build
  image: ubuntu:latest
  script:
    - apt update
    - apt install -y --no-install-recommends asciidoctor
    - gem install asciidoctor-pdf --pre
    - asciidoctor-pdf -o angelguide_en.pdf guide.adoc
    - asciidoctor-pdf -a lang=de -o angelguide_de.pdf guide.adoc
  artifacts:
    paths:
      - "angelguide_en.pdf"
      - "angelguide_de.pdf"
    expire_in: 12 month